summaryrefslogtreecommitdiffstats
path: root/unmaintained/nodejs
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <b@bpiotrowski.pl>2013-10-22 07:54:28 +0200
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2013-10-22 07:54:28 +0200
commitf52d7ed66300e67177b6ab4c6f6169259a71c69c (patch)
treea5693ccedc843a1212257ecafac68964815ed0e7 /unmaintained/nodejs
parent2ae0690b2243c4127f4e5e39d45ce4a070b51623 (diff)
downloadaports-f52d7ed66300e67177b6ab4c6f6169259a71c69c.tar.bz2
aports-f52d7ed66300e67177b6ab4c6f6169259a71c69c.tar.xz
main/nodejs: temporarily move to unmaintained
Diffstat (limited to 'unmaintained/nodejs')
-rw-r--r--unmaintained/nodejs/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/unmaintained/nodejs/APKBUILD b/unmaintained/nodejs/APKBUILD
new file mode 100644
index 000000000..50601c787
--- /dev/null
+++ b/unmaintained/nodejs/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+
+pkgname=nodejs
+pkgver=0.10.20
+pkgrel=0
+pkgdesc='Evented I/O for V8 javascript'
+url='http://nodejs.org/'
+arch='all'
+license='MIT'
+makedepends="$depends_dev python openssl-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir"/node-v$pkgver
+ ./configure --prefix=/usr \
+ --shared-openssl || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/node-v$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="784e7d7a8e29dfec88ddb2e72a895407 node-v0.10.20.tar.gz"
+sha256sums="b5af00d4d43644f37caa2dad5fa81e6f898ebb7b238f02a1cddfcff11c81e649 node-v0.10.20.tar.gz"
+sha512sums="48062c5a8ed82e06da49af521f3df1fbe00077a1449340fcb2fd0ee1eff3f03d7f95e1cb064d22c3fc864b41ee7fe21cbec9a761d6d028bf645f48b2b7f2c9ca node-v0.10.20.tar.gz"